Queue List

The Queue List service allows you to retrieve a list of all the Queues for a given Process, optionally filtered for those having been created or modified since a specific date.

Service Name

queue_list

Required Parameters

NameType
idinteger

Optional Parameters

NameType
modified_sincedatetime

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=queue_list&id=2"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="queue_list" name="srv"/>
      <argument value="2" name="id"/>
    </parameters>
  </request>
  <queues count="7">
    <queue id="18">
      <name>1. Thank-You Letter</name>
      <description>This letter is sent by our volunteer letter team to thank the new guest for attending our church services, encouraging them to return  and providing information on our service schedule.</description>
      <process id="2">New Guest Followup</process>
      <order>1</order>
      <managers/>
      <creator id="1">Larry Cucumber</creator>
      <modifier id="1">Larry Cucumber</modifier>
      <created>2007-08-14 10:19:40</created>
      <modified>2011-09-20 08:08:01</modified>
    </queue>
    …
    <queue id="24">
      <name>7. Outreach Coordinator Review</name>
      <description>The Outreach Coordinator will review all the contact made and any notes added to determine if any additional contact should be made  or the guest should be added to another process</description>
      <process id="2">New Guest Followup</process>
      <order>30</order>
      <managers/>
      <creator id="1">Larry Cucumber</creator>
      <modifier id="1">Larry Cucumber</modifier>
      <created>2007-08-14 10:40:53</created>
      <modified>2010-07-27 12:55:10</modified>
    </queue>
  </queues>
</ccb_api>